summary refs log tree commit diff
diff options
context:
space:
mode:
authorJosé Romildo Malaquias <malaquias@gmail.com>2019-04-07 13:19:46 -0300
committerJosé Romildo Malaquias <malaquias@gmail.com>2019-04-07 13:19:46 -0300
commit29a7f77c459f7cec3669d46991b4942c46c36c7b (patch)
treee508c0e256989b10015530b645d23efdcd001551
parent907142c8f094e325f58d6aa5082cd37503187916 (diff)
downloadnixpkgs-29a7f77c459f7cec3669d46991b4942c46c36c7b.tar
nixpkgs-29a7f77c459f7cec3669d46991b4942c46c36c7b.tar.gz
nixpkgs-29a7f77c459f7cec3669d46991b4942c46c36c7b.tar.bz2
nixpkgs-29a7f77c459f7cec3669d46991b4942c46c36c7b.tar.lz
nixpkgs-29a7f77c459f7cec3669d46991b4942c46c36c7b.tar.xz
nixpkgs-29a7f77c459f7cec3669d46991b4942c46c36c7b.tar.zst
nixpkgs-29a7f77c459f7cec3669d46991b4942c46c36c7b.zip
deepin: setup hook grep with '-a'
-rwxr-xr-xpkgs/desktops/deepin/setup-hook.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/pkgs/desktops/deepin/setup-hook.sh b/pkgs/desktops/deepin/setup-hook.sh
index 15fe5be1538..63a43bb5840 100755
--- a/pkgs/desktops/deepin/setup-hook.sh
+++ b/pkgs/desktops/deepin/setup-hook.sh
@@ -11,7 +11,7 @@ searchHardCodedPaths() {
     grep --color=always -r -E '\<(ExecStart|Exec|startDetached|execute|exec\.(Command|LookPath))\>' $dir || true
 
     echo ----------- looking for hard coded paths
-    grep --color=always -r -E '/(usr|bin|sbin|etc|var|opt)\>' $dir || true
+    grep --color=always -a -r -E '/(usr|bin|sbin|etc|var|opt)\>' $dir || true
 
     echo ----------- done
 }